# Namadino

## The **Na**meless **Ma**rkdown **Di**rectory-organized **No**tation software

Namadino is a notation software that uses Markdown and directories to organize
your thoughts. It was originally designed to help with the translation of
written works.

## Features

### Markdown

Basic Markdown support is inplemented using the `mistune` library. Additionally,
one custom pattern has been added for what is called "hover text." Hover text
will add HTML `title` text to a root word. This is useful for adding definitions
to unknown words or hiding answers to problems when reviewing later.

    <This is an example of hover text>(This text would be hidden)
    <日本>(にっぽん | Japan)

### Exporting

All notes can be exported into an interactive HTML file. Each directory will
appear as a button that hides the content beneath it. These HTML files can
easily be distributed to others and viewed in any web browser with JavaScript
enabled.

### Integration with Anki

All instancecs of hover text can be exported into a file that can be imported
directly into Anki. There are options available to get all instances of hover
text on a single page, in a single folder, or across a whole project

### Password Protection

Notes can have a password set to limit who has access to a set of notes.
Exported files are saved in clear text however, so it is not recommended to use
those features if your notes contain sensitive information.
